libzypp: zypp::Patch::ReferenceIterator Class Reference

libzypp 17.38.11

zypp::Patch::ReferenceIterator Class Reference

Query class for Patch issue references like bugzilla and security issues the patch is supposed to fix. More...

`#include <zypp/Patch.h>`

Inheritance diagram for zypp::Patch::ReferenceIterator:

## Public Member Functions
| ReferenceIterator ()
| ReferenceIterator (const sat::Solvable &val_r)
std::string | id () const
| The id of the reference.
std::string | href () const
| Url or pointer where to find more information.
std::string | title () const
| Title describing the issue.
std::string | type () const
| Type of the reference.

## Private Member Functions
int | dereference () const

## Friends
class | boost::iterator_core_access

## Detailed Description

Query class for Patch issue references like bugzilla and security issues the patch is supposed to fix.

The iterator does not provide a dereference operator so you can do * on it, but you can access the attributes of each patch issue reference directly from the iterator.

for ( Patch::ReferenceIterator it = patch->referencesBegin();
it != patch->referencesEnd();
++it )
{
cout << it.href() << endl;
}
zypp::Patch::ReferenceIterator
Query class for Patch issue references like bugzilla and security issues the patch is supposed to fix...
Definition Patch.h:276

Definition at line 269 of file Patch.h.

## Constructor & Destructor Documentation

## ◆ ReferenceIterator() [1/2]

zypp::Patch::ReferenceIterator::ReferenceIterator | ( |  | ) |
| inline

Definition at line 278 of file Patch.h.

## ◆ ReferenceIterator() [2/2]

zypp::Patch::ReferenceIterator::ReferenceIterator | ( | const sat::Solvable & | val_r | ) |
| explicit

Definition at line 339 of file Patch.cc.

## Member Function Documentation

## ◆ id()

std::string zypp::Patch::ReferenceIterator::id | ( |  | ) | const

The id of the reference.

For bugzilla entries this is the bug number as a string.

Definition at line 342 of file Patch.cc.

## ◆ href()

std::string zypp::Patch::ReferenceIterator::href | ( |  | ) | const

Url or pointer where to find more information.

Definition at line 344 of file Patch.cc.

## ◆ title()

std::string zypp::Patch::ReferenceIterator::title | ( |  | ) | const

Title describing the issue.

Definition at line 346 of file Patch.cc.

## ◆ type()

std::string zypp::Patch::ReferenceIterator::type | ( |  | ) | const

Type of the reference.

For example "bugzilla"

Definition at line 348 of file Patch.cc.

## ◆ dereference()

int zypp::Patch::ReferenceIterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 302 of file Patch.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 301 of file Patch.h.

The documentation for this class was generated from the following files:

- zypp/Patch.h
- zypp/Patch.cc